Update accessPackageCatalog

Namespace: microsoft.graph

Important

APIs under the /beta version in Microsoft Graph are subject to change. Use of these APIs in production applications is not supported. To determine whether an API is available in v1.0, use the Version selector.

Update an existing accessPackageCatalog object to change one or more of its properties, such as the display name or description.

Permissions

One of the following permissions is required to call this API. To learn more, including how to choose permissions, see Permissions.

Permission type Permissions (from least to most privileged)
Delegated (work or school account) EntitlementManagement.ReadWrite.All
Delegated (personal Microsoft account) Not supported.
Application EntitlementManagement.ReadWrite.All

HTTP request

PATCH /identityGovernance/entitlementManagement/accessPackageCatalogs/{accessPackageCatalogId}

Request headers

Name Description
Authorization Bearer {token}. Required.
Content-Type application/json. Required.

Request body

In the request body, supply a JSON representation of the accessPackageCatalog object.

The following table shows the properties that are required when you update the accessPackageCatalog.

Property Type Description
displayName String The access package catalog name.
description String The description of the access package catalog.

Response

If successful, this method returns a 204 No Content response code.

Examples

Request

PATCH https://graph.microsoft.com/beta/identityGovernance/entitlementManagement/accessPackageCatalogs/{accessPackageCatalogId}
Content-Type: application/json

{
  "displayName":"Catalog One"
}

Response

HTTP/1.1 204 No Content
Content-Type: application/json